description: Profile for REST API applications
features:
  defaults:
  - async
  - cache
  - events
  - hibernate
  - json-views
build:
  plugins:
  - war
  - org.graceframework.grace-web
  excludes:
  - org.graceframework.grace-core
dependencies:
- scope: console
  coords: org.graceframework:grace-console
- scope: compile
  coords: org.springframework.boot:spring-boot-starter-actuator
- scope: compile
  coords: org.springframework.boot:spring-boot-starter-logging
- scope: compile
  coords: org.springframework.boot:spring-boot-starter-validation
- scope: compile
  coords: org.springframework.boot:spring-boot-starter-web
- scope: compile
  coords: org.graceframework:grace-boot
- scope: compile
  coords: org.graceframework:grace-core
- scope: compile
  coords: org.graceframework:grace-logging
- scope: compile
  coords: org.graceframework:grace-plugin-codecs
- scope: compile
  coords: org.graceframework:grace-plugin-controllers
- scope: compile
  coords: org.graceframework:grace-plugin-converters
- scope: compile
  coords: org.graceframework:grace-plugin-databinding
- scope: compile
  coords: org.graceframework:grace-plugin-datasource
- scope: compile
  coords: org.graceframework:grace-plugin-domain-class
- scope: compile
  coords: org.graceframework:grace-plugin-i18n
- scope: compile
  coords: org.graceframework:grace-plugin-interceptors
- scope: compile
  coords: org.graceframework:grace-plugin-management
- scope: compile
  coords: org.graceframework:grace-plugin-rest
- scope: compile
  coords: org.graceframework:grace-plugin-services
- scope: compile
  coords: org.graceframework:grace-plugin-url-mappings
- scope: testCompile
  coords: org.graceframework:grace-test-support
- scope: testCompile
  coords: org.graceframework:views-json-testing-support
name: rest-api
extends: org.graceframework.profiles:base:2023.3.0
commands:
  generate-all: generate-all.groovy
  generate-views: generate-views.groovy
  generate-unit-test: generate-unit-test.groovy
  generate-functional-test: generate-functional-test.groovy
  generate-controller: generate-controller.groovy
  create-domain-resource: create-domain-resource.yml
  create-controller: create-controller.yml
  create-interceptor: create-interceptor.yml
  create-functional-test: create-functional-test.yml
  create-service: create-service.yml
  create-integration-test: create-integration-test.yml
  create-restful-controller: create-restful-controller.yml
templates:
- artifacts/Interceptor.groovy
- artifacts/Service.groovy
- artifacts/scaffolding/Spec.groovy
- artifacts/scaffolding/Service.groovy
- artifacts/scaffolding/FunctionalSpec.groovy
- artifacts/scaffolding/index.gson
- artifacts/scaffolding/ServiceSpec.groovy
- artifacts/scaffolding/Controller.groovy
- artifacts/scaffolding/show.gson
- artifacts/scaffolding/_domain.gson
- artifacts/RestfulController.groovy
- artifacts/Resource.groovy
- artifacts/Controller.groovy
- testing/Interceptor.groovy
- testing/Service.groovy
- testing/Resource.groovy
- testing/Functional.groovy
- testing/Controller.groovy
- testing/Integration.groovy
